<?php
require_once("config/configDB.php"); 
// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;
$userpermissionEdit 	= $_POST['userpermissionEdit'];
$userpermissionDelete 	= $_POST['userpermissionDelete'];
$columns = array( 
// datatable column index  => database column name
	0 => 'id', 
	1 => 'invoicedate',
	2 => 'invoicedate',
	
);

$sql = "SELECT id FROM employee_attendance_hdr where isdelete=1";
$query=mysqli_query($conn, $sql) or die("brandgriddata.php: get brand Data step 1");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT id,invoicedate ";
$sql.=" FROM employee_attendance_hdr where isdelete=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( invoicedate LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("brandgriddata.php: get brand Data step 2");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";


$query=mysqli_query($conn, $sql) or die("brandgriddata.php: get brand Data step 3");
	

$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	//$nestedData[] = $row["id"];
	$invoicedate = new DateTime($row["invoicedate"]); 
	$nestedData[] = $invoicedate->format('d-m-Y'); //only fetching date

	$hdr_id  = $row["id"];

	$Details_Result  = mysqli_query($conn,"SELECT  lm.ename as ename FROM employee_attendance_dtl as lad 
LEFT JOIN employee_master as lm ON lm.id=lad.enameid WHERE  lad.hdr_id='$hdr_id' ");
	 $DetailsTable ='';
	 while($drow = mysqli_fetch_array($Details_Result))
	 {
	 	$DetailsTable .= $drow['ename'].',&nbsp&nbsp&nbsp';	
	 }
	 

	 $nestedData[] 	= $DetailsTable;
	 $nestedData[] 	= 'Attendance for  Employee';

	
	
	
	$edit  = "";
	if($userpermissionEdit==1) {
		$edit .="<a href='accEmpEdit.php?id=".$row['id']."' id='accLabour_".$row['id']."' class='btn btn-primary'>Edit</a>&nbsp";
	}

	$Delete  = "";
	if($userpermissionDelete==1) {
		$Delete .="<a id='accLabourDelete_".$row['id']."' class='btn btn-primary' onclick='ConfirmaccLabourDelete(".$row['id'].")' >Delete</a>";
	}
	$nestedData[] = $edit."&nbsp".$Delete;
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
